Bug 894934 (CVE-2012-3174) - CVE-2012-3174 OpenJDK: MethodHandles incorrect permission checks (Libraries, 8004933)
Summary: CVE-2012-3174 OpenJDK: MethodHandles incorrect permission checks (Libraries, ...
Status: CLOSED ERRATA
Alias: CVE-2012-3174
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20130113,repor...
Keywords: Security
Depends On: 894935 894936 894937 894938 895031 895032 895033 895034 895035
Blocks: 894173
TreeView+ depends on / blocked
 
Reported: 2013-01-14 03:59 UTC by David Jorm
Modified: 2015-11-25 09:59 UTC (History)
8 users (show)

Fixed In Version: icedtea7 2.1.4, icedtea7 2.2.4, icedtea7 2.3.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-17 11:03:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0156 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-01-15 01:54:05 UTC
Red Hat Product Errata RHSA-2013:0165 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-01-16 23:24:09 UTC
Red Hat Product Errata RHSA-2013:0626 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:14:33 UTC
Novell 798521 None None None Never

Description David Jorm 2013-01-14 03:59:06 UTC
Oracle Java SE 7 Update 11 resolves CVE-2012-3174, an unknown flaw that allows for remote arbitrary code execution, related to CVE-2013-0422 (bug 894172).

External Reference:
http://www.oracle.com/technetwork/topics/security/alert-cve-2013-0422-1896849.html

Comment 4 Tomas Hoger 2013-01-14 10:51:24 UTC
Created java-1.7.0-openjdk tracking bugs for this issue

Affects: fedora-all [bug 895035]

Comment 6 Tomas Hoger 2013-01-14 18:59:20 UTC
Related commits in upstream OpenJDK7 repositories:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/ecc14534318c
http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/d9969a953f69

Comment 7 errata-xmlrpc 2013-01-14 20:54:34 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0156 https://rhn.redhat.com/errata/RHSA-2013-0156.html

Comment 8 Vincent Danen 2013-01-14 22:38:10 UTC
I'm not sure which of the two CVEs this is referring to, but this could be pertinent to OpenJDK where we can actually change code:

http://immunityproducts.blogspot.com.ar/2013/01/confirmed-java-only-fixed-one-of-two.html

Comment 9 Tomas Hoger 2013-01-15 12:37:06 UTC
(In reply to comment #8)
> I'm not sure which of the two CVEs this is referring to

The post should be related to CVE-2013-0422, see bug 894172, comment 27.

Comment 13 Tomas Hoger 2013-01-16 08:04:13 UTC
Patches integrated in upstream IcedTea versions 2.1.4, 2.2.4 and 2.3.4:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-January/021413.html

Comment 14 errata-xmlrpc 2013-01-16 18:27:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0165 https://rhn.redhat.com/errata/RHSA-2013-0165.html

Comment 15 errata-xmlrpc 2013-03-11 18:58:07 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html


Note You need to log in before you can comment on or make changes to this bug.